package com.test;


import java.util.HashMap;
import java.util.Map;

import javax.ejb.embeddable.EJBContainer;
import javax.naming.Context;

import com.test.beans.SomeEnterpriseNoInterfaceBean;
import com.test.common.SomeInterface;


public class EmbeddedEJBTest {

    public static void main(String[] args) throws Exception {
        EJBContainer ejb = null;
        try {
            Map<Object, Object> properties = new HashMap<Object, Object>();
            properties.put(EJBContainer.MODULES, "bin");
            ejb = EJBContainer.createEJBContainer(properties);
            Context ic = ejb.getContext();
            SomeInterface eb1 = (SomeInterface) ic.lookup("java:global/bin/SomeEnterpriseBean");
            SomeEnterpriseNoInterfaceBean eb2 = (SomeEnterpriseNoInterfaceBean) ic.lookup("java:global/bin/SomeEnterpriseNoInterfaceBean");
            System.out.println(eb1.method());
            System.out.println(eb2.method());
        } finally {
            if (ejb != null) {
                ejb.close();
            }
        }
    }
}
